package com.zjsgfa.project.zjsgfa.mapper;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.SjFdsgcsLjzjzh;

/**
 * 设计信息-分段施工措施-邻井钻具组合Mapper接口
 * 
 * @author ruoyi
 * @date 2025-09-03
 */
public interface SjFdsgcsLjzjzhMapper 
{
    /**
     * 查询设计信息-分段施工措施-邻井钻具组合
     * 
     * @param id 设计信息-分段施工措施-邻井钻具组合主键
     * @return 设计信息-分段施工措施-邻井钻具组合
     */
    public SjFdsgcsLjzjzh selectSjFdsgcsLjzjzhById(Long id);

    /**
     * 查询设计信息-分段施工措施-邻井钻具组合列表
     * 
     * @param sjFdsgcsLjzjzh 设计信息-分段施工措施-邻井钻具组合
     * @return 设计信息-分段施工措施-邻井钻具组合集合
     */
    public List<SjFdsgcsLjzjzh> selectSjFdsgcsLjzjzhList(SjFdsgcsLjzjzh sjFdsgcsLjzjzh);

    /**
     * 新增设计信息-分段施工措施-邻井钻具组合
     * 
     * @param sjFdsgcsLjzjzh 设计信息-分段施工措施-邻井钻具组合
     * @return 结果
     */
    public int insertSjFdsgcsLjzjzh(SjFdsgcsLjzjzh sjFdsgcsLjzjzh);

    /**
     * 修改设计信息-分段施工措施-邻井钻具组合
     * 
     * @param sjFdsgcsLjzjzh 设计信息-分段施工措施-邻井钻具组合
     * @return 结果
     */
    public int updateSjFdsgcsLjzjzh(SjFdsgcsLjzjzh sjFdsgcsLjzjzh);

    /**
     * 删除设计信息-分段施工措施-邻井钻具组合
     * 
     * @param id 设计信息-分段施工措施-邻井钻具组合主键
     * @return 结果
     */
    public int deleteSjFdsgcsLjzjzhById(Long id);

    /**
     * 批量删除设计信息-分段施工措施-邻井钻具组合
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjFdsgcsLjzjzhByIds(Long[] ids);

    int deleteSjFdsgcsLjzjzhByJh(String jh);

    int insertSjFdsgcsLjzjzhBatch(List<SjFdsgcsLjzjzh> sjFdsgcsLjzjzhList);

}
